Summary: Fast c-based poller for the cacti graphing solution
Name: cacti-spine
Version: 1.1.38
Release: 1%{?dist}
License: LGPL
Group: Applications/System
URL: http://www.cacti.net/


Source: http://www.cacti.net/downloads/spine/cacti-spine-%{version}.tar.gz

BuildRequires: mysql-devel, openssl-devel
BuildRequires: help2man
BuildRequires: net-snmp-devel, net-snmp-utils
BuildRequires: automake, autoconf, libtool

Requires: cacti

%description
Spine is a supplemental poller for Cacti that makes use of pthreads
to achieve excellent performance.

%prep
%setup

### FIXME: Patch to use /usr/lib64 on 64bit (Please fix upstream)
%{__perl} -pi.orig -e 's|/lib\b|/%{_lib}|g' configure

%build
autoreconf --force --install --symlink
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 spine %{buildroot}%{_bindir}/spine
%{__install} -Dp -m0600 spine.conf.dist %{buildroot}%{_sysconfdir}/spine.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog LICENSE* README.md
%{_bindir}/spine

%defattr(-, cacti, cacti, 0755)
%config(noreplace) %{_sysconfdir}/spine.conf

%changelog
* Thu May 17 2018 Billy Chan <shing@shing.cloud> - 1.1.38-1
- new upstream release
